# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "Component_Name" -parent ${Page_0}

  set MAX_SAMPLE_WIDTH [ipgui::add_param $IPINST -name "MAX_SAMPLE_WIDTH" -parent ${Page_0}]
  set_property tooltip {(8 for Baseline, 12 for Extended)} ${MAX_SAMPLE_WIDTH}
}

proc update_PARAM_VALUE.MAX_SAMPLE_WIDTH { PARAM_VALUE.MAX_SAMPLE_WIDTH } {
   # Procedure called to update MAX_SAMPLE_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.MAX_SAMPLE_WIDTH { PARAM_VALUE.MAX_SAMPLE_WIDTH } {
   # Procedure called to validate MAX_SAMPLE_WIDTH
   return true
}


proc update_MODELPARAM_VALUE.MAX_SAMPLE_WIDTH { MODELPARAM_VALUE.MAX_SAMPLE_WIDTH PARAM_VALUE.MAX_SAMPLE_WIDTH } {
   # Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
   set_property value [get_property value ${PARAM_VALUE.MAX_SAMPLE_WIDTH}] ${MODELPARAM_VALUE.MAX_SAMPLE_WIDTH}
}
